[ track ]
track_name = Thompson Speedway
track_name_short = Thompson Modified Night 
track_city = Thompson
track_state = CT
track_length_n_type = 0.625 mile Oval		 ; 3300 feet
track_num_turns = 4
track_length = 0.625m
track_altitude = 0.0
track_type = 0
chassis_type = 3
default_event_laps = 250
default_qual_laps = 2
track_base_month = 9                            ; the race month used for single, multi, and testing
max_starters = 43
track_tire_heat = 0.85 ;1.06				;> modifies amount of heat going into the tire at a given track
track_tire_wear = 0.52 ;0.50				;> 1.0 means more wear, i.e. 2.0 is twice normal wear, 0.5 is half normal wear
track_tire_wear_loss = 0.20                     ; percentage of grip lost at full tire wear
track_tire_wear_exp = 0.92                      ;> 1.0 gives a bigger fall off later in run < 1.0 gives a bigger fall off early in 
track_asphalt_grip = 1.40			;> 1.0 means more grip.  This shouldn't have to change by more than +- 0.05
track_concrete_grip = 1.42			;> means more grip.  Again, keep between about 0.9 and 1.05
track_north_angle = 45		                ; angle of true north in degrees

; Starter decisions:
; 	First value is earliest possible green flag dlong, should be after to pace car pit entrace point
;	Second value is latest possible green flag dlong. Must be before start line and after first value
starter_decision = 865.00 885.00

[ track_cts ]
track_tire_heat = 0.97				;> modifies amount of heat going into the tire at a given track
track_tire_wear = 0.55				;> 1.0 means more wear, i.e. 2.0 is twice normal wear, 0.5 is half normal wear
track_tire_wear_loss = 0.20                     ; percentage of grip lost at full tire wear
track_tire_wear_exp = 0.92                      ;> 1.0 gives a bigger fall off later in run < 1.0 gives a bigger fall off early in 
track_asphalt_grip = 1.40			;> 1.0 means more grip.  This shouldn't have to change by more than +- 0.05
track_concrete_grip = 1.42			;> means more grip.  Again, keep between about 0.9 and 1.05

[ cup ]
record_lap_time = 
record_holder = 

[ weather ]
track_base_temp = 60.4		                ; track average temperature on April 1 in deg F
track_temp_range = 2.0		                ; one standard deviation from average in deg F
track_temp_swing = 2.0                         ; 
track_wind_speed = 10.0		                ; average wind speed at the track in MPH
track_wind_speed_range = 5.0		        ; one standard deviation from average in MPH
track_wind_direction = 360		        ; compass heading in degrees from which wind is most likely (in this case from Northwest)
track_cloud_prob = 0.60		                ; probability of cloud cover, 0.0 to 1.0

[CrowdSound]
num_sources = 4
pos_0 = 178 -96 3
pos_1 = 31 - 140 4
pos_2 = -147 163 2
pos_3 = 57 163 3

[ ai_track ]
pace_merge_from_pit_line_dlong = 420.62
pace_merge_to_pit_line_dlong = 628.00
pace_speed_limit_mph = 40
ai_accel_modifier = 0.36			 ; acceleration grip efficiency
ai_decel_modifier = 1.00			 ; braking grip efficiency
ai_fuel_use = 0.97				 ; > 1.0 = more fuel consumed
ai_grip_modifier = 0.95			         ; > 1.0 = more grip
ai_drag_modifier = 0.52				 ; > 1.0 = more drag, which is slower
ai_line_modifier = 1.01				 ; dangerous hack, don't use unless you are a trained professional
ai_qual_modifier = 1.00 			 ; > 1.0 = faster during qualifying
ai_tire_wear_left = 0.96			 ; left tire wear adjuster for ai    > 1.0 = more wear
ai_tire_wear_right = 1.11			 ; right tire wear adjuster for ai
ai_arcade_tire_wear = 0.20			; lower = less wear (used in addition to the above left/right modifiers)
ai_arcade_fuel_use = 1.07			; > 1.0 = more fuel consumed (used in addition to fuel_use above)
ai_arcade_grip_modifier = .785			; > 1.0 = more grip
ai_arcade_drag_modifier = 1.083			; > 1.0 = more drag, which is slower
strategy_lap_time_wear_loss = 2.179             ; lap time loss from totally worn tires
strategy_lap_time_fuel_use_gain = 0.373         ; lap time gain from low fuel
strategy_base_pitting_cost = 38.3               ; time lost to a stop & go pitstop
ai_pacing_distance = 1.9			; car lengths behind while pacing
ai_bunching_distance = 1.8			; car lengths behind while bunching for start
ai_drafting_distance = 1.15			; car lengths behind while racing
ai_panic_decel = 7.0				; G's of extra deceleration inducing panic
ai_dlongpad_scale = 5.0			        ; scales padding in braking zones (smaller = more scaling)
ai_dlat_pad = 1.37
ai_squeeze_pcnt = 0.00
ai_wall_offset = 100
ai_inverse_slipcurve_k = 0.40                   ; how much slip angle AI need to corner. smaller = more, more = increased drag

[ ai_track_gns ]
ai_accel_modifier = 0.50			 ; acceleration grip efficiency
ai_decel_modifier = 1.55			 ; braking grip efficiency
ai_fuel_use = 0.98				 ; > 1.0 = more fuel consumed
ai_grip_modifier = 0.90 	                 ; > 1.0 = more grip
ai_drag_modifier = 1.65				 ; > 1.0 = more drag, which is slower
ai_line_modifier = 1.002				 ; dangerous hack, don't use unless you are a trained professional
ai_qual_modifier = 1.04 			 ; > 1.0 = faster during qualifying
ai_tire_wear_left = 0.97			 ; left tire wear adjuster for ai    > 1.0 = more wear
ai_tire_wear_right = 1.11			 ; right tire wear adjuster for ai
ai_inverse_slipcurve_k = 0.48                    ; how much slip angle AI need to corner. smaller = more, more = increased drag

[ ai_track_cts ]
ai_accel_modifier = 0.50			 ; acceleration grip efficiency
ai_decel_modifier = 1.60			 ; braking grip efficiency
ai_fuel_use = 0.97				 ; > 1.0 = more fuel consumed
ai_grip_modifier = 0.89			         ; > 1.0 = more grip
ai_drag_modifier = 1.47				 ; > 1.0 = more drag, which is slower
ai_line_modifier = 1.002				 ; dangerous hack, don't use unless you are a trained professional
ai_qual_modifier = 1.043			 ; > 1.0 = faster during qualifying
ai_tire_wear_left = 0.81			 ; left tire wear adjuster for ai    > 1.0 = more wear
ai_tire_wear_right = 0.98			 ; right tire wear adjuster for ai
ai_drafting_distance = 1.15			; car lengths behind while racing
ai_dlat_pad = 1.17
ai_inverse_slipcurve_k = 0.40                   ; how much slip angle AI need to corner. smaller = more, more = increased drag

[ AppRuleEnterPits ]
pit0_entrance_point0_dlat = 34.25
pit0_entrance_point0_dlong = 764.87
pit0_entrance_point1_dlat = 20.75
pit0_entrance_point1_dlong = 764.87


[ pit_lane_0 ]
; AI stuff
merge_from_pit_line_dlong = 395.0
merge_to_pit_line_dlong = 550.62
merge_to_pit_line_length = 10.0                 ; length of merge window
pit_lane_start_dlong = 764.87
pit_lane_end_dlong = 261.53
slow_pit_line_dlat_offset = 3.5			; track-specific dlat_offset of 2nd slower pit line (0 if N/A)
begin_stall_entry_offset = 18.0			; offset at which to begin entering the pit stall
begin_stall_approach_offset = 40.0		; offset at which to begin approaching the pit stall
stall_exit_goal_dlong_offset = 7.0     		; goal dlong offset (ahead) for the pit stall exit 
stall_exit_goal_dlat_offset = -4.5              ; goal dlat offset for the pit stall exit 
lane_merge_dlong = 325.02


; race control stuff
lane_on_right = 0				; 0 if on left, 1 if on right
lane_has_wall = 1				; 0 no wall, 1 has wall
speed_limit_MPH = 35.0

; pace car
begin_pacestall_entry_offset = 20.0		; offset at which to begin entering the pit stall
begin_pacestall_approach_offset = 45.0		; offset at which to begin approaching the pit stall
pacestall_exit_goal_dlong_offset = 5.0          ; goal dlong offset (ahead) for the pit stall exit 
pacestall_exit_goal_dlat_offset = -3.0      	; goal dlat offset for the pit stall exit
stall_pace = 268.114 32.03 0.00


; special stalls
stall_qual_exit = 256.00 30.85 0.00

; regular stalls
stall_0 = 256.00 30.85 0.00
stall_1 = 238.57 30.85 0.00
stall_2 = 221.13 30.85 0.00
stall_3 = 203.73 30.85 0.00
stall_4 = 186.32 30.85 0.00
stall_5 = 168.89 30.85 0.00
stall_6 = 153.05 30.85 0.00
stall_7 = 143.54 30.85 0.00
stall_8 = 134.04 30.85 0.00
stall_9 = 124.54 30.85 0.00
stall_10 = 115.04 30.85 0.00
stall_11 = 105.54 30.85 0.00
stall_12 = 96.04 30.85 0.00
stall_13 = 86.54 30.85 0.00
stall_14 = 77.04 30.85 0.00
stall_15 = 67.54 30.85 0.00
stall_16 = 58.04 30.85 0.00
stall_17 = 48.54 30.85 0.00
stall_18 = 39.04 30.85 0.00
stall_19 = 29.54 30.85 0.00
stall_20 = 20.04 30.85 0.00
stall_21 = 10.54 30.85 0.00
stall_22 = 1.04 30.85 0.00
stall_23 = 997.98 30.85 0.00
stall_24 = 988.48 30.85 0.00
stall_25 = 978.97 30.85 0.00
stall_26 = 969.47 30.85 0.00
stall_27 = 959.97 30.85 0.00
stall_28 = 950.47 30.85 0.00
stall_29 = 940.97 30.85 0.00
stall_30 = 931.47 30.85 0.00
stall_31 = 921.97 30.85 0.00
stall_32 = 912.47 30.85 0.00
stall_33 = 902.97 30.85 0.00
stall_34 = 893.47 30.85 0.00
stall_35 = 883.97 30.85 0.00
stall_36 = 874.47 30.85 0.00
stall_37 = 859.57 30.85 0.00
stall_38 = 842.20 30.85 0.00
stall_39 = 824.85 30.85 0.00
stall_40 = 807.54 30.85 0.00
stall_41 = 790.28 30.85 0.00
stall_42 = 773.00 30.85 0.00




[ starting_grid_0 ]
stall_pace = 239.50 26.00 0.00
stall_0 = 224.50 28.50 0.00
stall_1 = 224.50 23.50 0.00
stall_2 = 210.00 28.50 0.00
stall_3 = 210.00 23.50 0.00
stall_4 = 195.50 28.50 0.00
stall_5 = 195.50 23.50 0.00
stall_6 = 181.25 28.50 0.00
stall_7 = 181.25 23.50 0.00
stall_8 = 166.50 28.50 0.00
stall_9 = 166.50 23.50 0.00
stall_10 = 153.00 28.50 0.00
stall_11 = 153.00 23.50 0.00
stall_12 = 144.00 28.50 0.00
stall_13 = 144.00 23.50 0.00
stall_14 = 135.00 28.50 0.00
stall_15 = 135.00 23.50 0.00
stall_16 = 126.00 28.50 0.00
stall_17 = 126.00 23.50 0.00
stall_18 = 117.00 28.50 0.00
stall_19 = 117.00 23.50 0.00
stall_20 = 108.00 28.50 0.00
stall_21 = 108.00 23.50 0.00
stall_22 = 99.00 28.50 0.00
stall_23 = 99.00 23.50 0.00
stall_24 = 90.00 28.50 0.00
stall_25 = 90.00 23.50 0.00
stall_26 = 81.00 28.50 0.00
stall_27 = 81.00 23.50 0.00
stall_28 = 72.00 28.50 0.00
stall_29 = 72.00 23.50 0.00
stall_30 = 63.00 28.50 0.00
stall_31 = 63.00 23.50 0.00
stall_32 = 54.00 28.50 0.00
stall_33 = 54.00 23.50 0.00
stall_34 = 45.00 28.50 0.00
stall_35 = 45.00 23.50 0.00
stall_36 = 36.00 28.50 0.00
stall_37 = 36.00 23.50 0.00
stall_38 = 27.00 28.50 0.00
stall_39 = 27.00 23.50 0.00
stall_40 = 18.00 28.50 0.00
stall_41 = 18.00 23.50 0.00
stall_42 = 9.00 28.50 0.00


[ starting_grid_1 ]
stall_pace = 600.00 -0.50 -0.00
stall_0 = 591.00 2.50 -0.00
stall_1 = 591.00 -2.00 -0.00
stall_2 = 582.00 2.50 -0.00
stall_3 = 582.00 -2.00 -0.00
stall_4 = 573.00 2.50 -0.00
stall_5 = 573.00 -2.00 -0.00
stall_6 = 564.00 2.50 -0.00
stall_7 = 564.00 -2.00 -0.00
stall_8 = 555.00 2.50 -0.00
stall_9 = 555.00 -2.00 -0.00
stall_10 = 546.00 2.50 -0.00
stall_11 = 546.00 -2.00 -0.00
stall_12 = 537.00 2.50 -0.00
stall_13 = 537.00 -2.00 -0.00
stall_14 = 528.00 2.50 -0.00
stall_15 = 528.00 -2.00 -0.00
stall_16 = 519.00 2.50 -0.00
stall_17 = 519.00 -2.00 -0.00
stall_18 = 510.00 2.50 -0.00
stall_19 = 510.00 -2.00 -0.00
stall_20 = 501.00 2.50 -0.00
stall_21 = 501.00 -2.00 -0.00
stall_22 = 492.00 2.50 -0.00
stall_23 = 492.00 -2.00 -0.00
stall_24 = 483.00 2.50 -0.00
stall_25 = 483.00 -2.00 -0.00
stall_26 = 474.00 2.50 -0.00
stall_27 = 474.00 -2.00 -0.00
stall_28 = 465.00 2.50 -0.00
stall_29 = 465.00 -2.00 -0.00
stall_30 = 456.00 2.50 -0.00
stall_31 = 456.00 -2.00 -0.00
stall_32 = 447.00 2.50 -0.00
stall_33 = 447.00 -2.00 -0.00
stall_34 = 438.00 2.50 -0.00
stall_35 = 438.00 -2.00 -0.00
stall_36 = 429.00 2.50 -0.00
stall_37 = 429.00 -2.00 -0.00
stall_38 = 420.00 2.50 -0.00
stall_39 = 420.00 -2.00 -0.00
stall_40 = 411.00 2.50 -0.00
stall_41 = 411.00 -2.00 -0.00
stall_42 = 402.00 2.50 -0.00

[ SPCC ]
num_named_sections = 6

name_0 = 121.92 213.36 T1
name_1 = 213.36 335.28 T2
name_2 = 335.28 563.88 BSTC
name_3 = 563.88 655.32 T3
name_4 = 655.32 772.16 T4
name_5 = 772.16 121.92 FSTR



